Module java.desktop
Package javax.sound.sampled

## Class Control.Type

- java.lang.Object
- - javax.sound.sampled.Control.Type

Direct Known Subclasses:
  BooleanControl.Type, CompoundControl.Type, EnumControl.Type, FloatControl.Type

Enclosing class:
  Control

    public static class Control.Type
    extends Object

An instance of the `Type` class represents the type of the control. Static instances are provided for the common types.

### Constructor Summary

Constructors
`protected` `Type(String name)` Constructs a new control type with the name specified.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)` Finalizes the equals method.
`int` `hashCode()` Finalizes the hashCode method.
`String` `toString()` Provides the `String` representation of the control type.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Type

    protected Type(String name)

Constructs a new control type with the name specified. The name should be a descriptive string appropriate for labelling the control in an application, such as "Gain" or "Balance".

Parameters:
  `name` - the name of the new control type

### Method Detail

#### equals

    public final boolean equals(Object obj)

Finalizes the equals method.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the reference object with which to compare.
Returns:
  `true` if this object is the same as the obj argument; `false` otherwise.
See Also:
  `Object.hashCode()`, `HashMap`

#### hashCode

    public final int hashCode()

Finalizes the hashCode method.

Overrides:
  `hashCode` in class `Object`
Returns:
  a hash code value for this object.
See Also:
  `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`

#### toString

    public final String toString()

Provides the `String` representation of the control type. This `String` is the same name that was passed to the constructor.

Overrides:
  `toString` in class `Object`
Returns:
  the control type name